/*
 * Copyright (c) 2010, Noel Lemouel
 * All rights reserved.
 */

#include <stdio.h>
#include <string.h>
#include "tga.h"

int tga_info(unsigned char* tga_img, tga_info_t* tga_info)
{
	struct tga_header* tga_header_00;
	struct tga_img_spec* tga_img_spec_00;

	tga_header_00 = (struct tga_header*)tga_img;
	tga_img_spec_00 = (struct tga_img_spec*)tga_header_00->img_spec;

	tga_info->base = (unsigned char *) tga_img + sizeof(struct tga_header) + tga_header_00->id_len;

	tga_info->width = (unsigned short)0x00 | tga_img_spec_00->width[0];
	tga_info->width |= tga_img_spec_00->width[1] << 8;

	tga_info->height = (unsigned short)0x00 | tga_img_spec_00->height[0];
	tga_info->height |= tga_img_spec_00->height[1] << 8;

	tga_info->bpp = tga_img_spec_00->depth;

	return (int)(tga_header_00->img_type);
}

