/*
 * Copyright (c) 2010, Noel Lemouel
 * All rights reserved.
 */

#ifndef __TGA_H__
#define __TGA_H__

enum {
	TGA_TYPE_NO_DATA,
	TGA_TYPE_COLOR_MAP,
	TGA_TYPE_TRUE_COLOR,
	TGA_TYPE_BW,
	TGA_TYPE_RLE_COLOR_MAP,	
	TGA_TYPE_RLE_TRUE_COLOR,
	TGA_TYPE_RLE_BW,
};

struct tga_header{
	unsigned char id_len;
	unsigned char color_map_type;
	unsigned char img_type;
	unsigned char color_map_spec[5];
	unsigned char img_spec[10];
} __attribute__((packed));

struct tga_img_spec{
	unsigned char x_origin[2];
	unsigned char y_origin[2];
	unsigned char width[2];
	unsigned char height[2];
	unsigned char depth;
	unsigned char alpha;
} __attribute__((packed));

typedef struct tga_info_s{
	unsigned char* base;
	unsigned short width;
	unsigned short height;
	unsigned char bpp;	
} tga_info_t;

extern int tga_info(unsigned char* tga_img, tga_info_t* tga_info);

#endif /* __TGA_H__ */
